/**
 * =============================================================================
 * TF2 Autobalance Blocker
 * Copyright (C) 2011 me. All rights reserved.
 * =============================================================================
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License, version 3.0, as published by the
 * Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program.  If not, see <http://www.gnu.org/licenses/>.
 */


 /**
 * @brief Called when the balancer wants to see the player
 *
 * @param client	Index of the client
 * @return 		True to allow player to be seen, false to disallow player being seen
 */
forward Action:OnCanBeAutobalanced(client, &bool:result);

public Extension:__ext_tf2autobalance =
{
	name = "Team Balance Immunity",
	file = "tf2autobalance.ext",
#if defined AUTOLOAD_EXTENSIONS
	autoload = 1,
#else
	autoload = 0,
#endif
#if defined REQUIRE_EXTENSIONS
	required = 1,
#else
	required = 0,
#endif
};